Skip to main content
`Ctrl`+`K`

# DMGetFineDM

Get the fine mesh from which this `DM` was obtained by coarsening

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetFineDM(DM dm, DM *fdm)

## Input Parameter

- dm - The `DM` object

## Output Parameter

- fdm - The fine `DM`

## See Also

DM Basics, `DM`, `DMSetFineDM()`, `DMCoarsen()`, `DMRefine()`

## Level

intermediate

## Location

src/dm/interface/dm.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages